Verify Monitor Domain
curl --request POST \
--url https://api.campaigncleaner.com/v1/monitor_verify_domain \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": 13
}
'import requests
url = "https://api.campaigncleaner.com/v1/monitor_verify_domain"
payload = { "domain_id": 13 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain_id: 13})
};
fetch('https://api.campaigncleaner.com/v1/monitor_verify_domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/monitor_verify_domain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain_id' => 13
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/monitor_verify_domain"
payload := strings.NewReader("{\n \"domain_id\": 13\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/monitor_verify_domain")
.header("Content-Type", "application/json")
.body("{\n \"domain_id\": 13\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/monitor_verify_domain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain_id\": 13\n}"
response = http.request(request)
puts response.read_body{
"verified": true,
"message": "Domain verified. Monitoring has started.",
"domain": {
"domain_id": 13,
"domain": "news.example.com",
"purpose": "monitor",
"status": "verified",
"created_at": "2026-10-20T09:15:00Z",
"verified_at": "2026-10-20T09:31:02Z",
"last_checked_at": "2026-10-20T09:31:02Z",
"message_count": 0
}
}Inbox Placement Monitor
Verify Monitor Domain
The monitor_verify_domain API checks the DNS TXT record for a pending domain. DNS changes can take a while to appear; if verified is false, try again later. Limit: 30 attempts an hour.
Requires an active plan that includes Inbox Placement Monitor and a role other than User.
Header:
X-CC-API-Key: Your API Key
Request Body:
Required:
- domain_id: The ID from monitor_add_domain or monitor_get_domains.
Response:
- verified: (true/false) Whether the record was found.
- message: A description of the result.
- domain: The domain with its current status.
POST
/
v1
/
monitor_verify_domain
Verify Monitor Domain
curl --request POST \
--url https://api.campaigncleaner.com/v1/monitor_verify_domain \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": 13
}
'import requests
url = "https://api.campaigncleaner.com/v1/monitor_verify_domain"
payload = { "domain_id": 13 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain_id: 13})
};
fetch('https://api.campaigncleaner.com/v1/monitor_verify_domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/monitor_verify_domain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain_id' => 13
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/monitor_verify_domain"
payload := strings.NewReader("{\n \"domain_id\": 13\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/monitor_verify_domain")
.header("Content-Type", "application/json")
.body("{\n \"domain_id\": 13\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/monitor_verify_domain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain_id\": 13\n}"
response = http.request(request)
puts response.read_body{
"verified": true,
"message": "Domain verified. Monitoring has started.",
"domain": {
"domain_id": 13,
"domain": "news.example.com",
"purpose": "monitor",
"status": "verified",
"created_at": "2026-10-20T09:15:00Z",
"verified_at": "2026-10-20T09:31:02Z",
"last_checked_at": "2026-10-20T09:31:02Z",
"message_count": 0
}
}
